Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::FormatPostingsDocsWriter Class Reference

Consumes doc & freq, writing them using the current index file format. More...

`#include <FormatPostingsDocsWriter.h>`

Inheritance diagram for Lucene::FormatPostingsDocsWriter:

## Public Member Functions

| FormatPostingsDocsWriter (SegmentWriteStatePtr state, FormatPostingsTermsWriterPtr parent)
virtual | ~FormatPostingsDocsWriter ()
virtual String | getClassName ()
boost::shared_ptr < FormatPostingsDocsWriter > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
void | setField (FieldInfoPtr fieldInfo)
virtual FormatPostingsPositionsConsumerPtr | addDoc (int32_t docID, int32_t termDocFreq)
| Adds a new doc in this term. If this returns null then we just skip consuming positions/payloads. More...
virtual void | finish ()
| Called when we are done adding docs to this term. More...
void | close ()
Public Member Functions inherited from Lucene::FormatPostingsDocsConsumer
virtual | ~FormatPostingsDocsConsumer ()
boost::shared_ptr < FormatPostingsDocsConsumer > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FormatPostingsDocsConsumer
static String | _getClassName ()

## Data Fields

IndexOutputPtr | out
FormatPostingsTermsWriterWeakPtr | _parent
SegmentWriteStatePtr | state
FormatPostingsPositionsWriterPtr | posWriter
DefaultSkipListWriterPtr | skipListWriter
int32_t | skipInterval
int32_t | totalNumDocs
bool | omitTermFreqAndPositions
bool | storePayloads
int64_t | freqStart
FieldInfoPtr | fieldInfo
int32_t | lastDocID
int32_t | df
TermInfoPtr | termInfo
UTF8ResultPtr | utf8

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Consumes doc & freq, writing them using the current index file format.

## Constructor & Destructor Documentation

Lucene::FormatPostingsDocsWriter::FormatPostingsDocsWriter | ( | SegmentWriteStatePtr | state,
|  | FormatPostingsTermsWriterPtr | parent
| ) |  |

virtual Lucene::FormatPostingsDocsWriter::~FormatPostingsDocsWriter | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::FormatPostingsDocsWriter::_getClassName | ( | ) |  |

inline static

virtual FormatPostingsPositionsConsumerPtr Lucene::FormatPostingsDocsWriter::addDoc | ( | int32_t | docID,
|  | int32_t | termDocFreq
| ) |  |

virtual

Adds a new doc in this term. If this returns null then we just skip consuming positions/payloads.

Implements Lucene::FormatPostingsDocsConsumer.

void Lucene::FormatPostingsDocsWriter::close | ( | ) |  |

virtual void Lucene::FormatPostingsDocsWriter::finish | ( | ) |  |

virtual

Called when we are done adding docs to this term.

Implements Lucene::FormatPostingsDocsConsumer.

virtual String Lucene::FormatPostingsDocsWriter::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::FormatPostingsDocsConsumer.

virtual void Lucene::FormatPostingsDocsWriter::initialize | ( | ) |  |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

void Lucene::FormatPostingsDocsWriter::setField | ( | FieldInfoPtr | fieldInfo) |  |

boost::shared_ptr< FormatPostingsDocsWriter > Lucene::FormatPostingsDocsWriter::shared_from_this | ( | ) |  |

inline

## Field Documentation

FormatPostingsTermsWriterWeakPtr Lucene::FormatPostingsDocsWriter::_parent

int32_t Lucene::FormatPostingsDocsWriter::df

FieldInfoPtr Lucene::FormatPostingsDocsWriter::fieldInfo

int64_t Lucene::FormatPostingsDocsWriter::freqStart

int32_t Lucene::FormatPostingsDocsWriter::lastDocID

bool Lucene::FormatPostingsDocsWriter::omitTermFreqAndPositions

IndexOutputPtr Lucene::FormatPostingsDocsWriter::out

FormatPostingsPositionsWriterPtr Lucene::FormatPostingsDocsWriter::posWriter

int32_t Lucene::FormatPostingsDocsWriter::skipInterval

DefaultSkipListWriterPtr Lucene::FormatPostingsDocsWriter::skipListWriter

SegmentWriteStatePtr Lucene::FormatPostingsDocsWriter::state

bool Lucene::FormatPostingsDocsWriter::storePayloads

TermInfoPtr Lucene::FormatPostingsDocsWriter::termInfo

int32_t Lucene::FormatPostingsDocsWriter::totalNumDocs

UTF8ResultPtr Lucene::FormatPostingsDocsWriter::utf8

The documentation for this class was generated from the following file:

- FormatPostingsDocsWriter.h

clucene.sourceforge.net